Index: /LMDZ5/branches/testing/DefLists/gcm.def_144x142
===================================================================
--- /LMDZ5/branches/testing/DefLists/gcm.def_144x142	(revision 2471)
+++ /LMDZ5/branches/testing/DefLists/gcm.def_144x142	(revision 2471)
@@ -0,0 +1,58 @@
+## $Id: gcm.def 1403 2010-07-01 09:02:53Z fairhead $
+## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+day_step=960
+## periode pour le pas Matsuno (en pas)
+iperiod=5
+## choix de l'operateur de dissipation (star ou  non star )
+lstardis=y
+## nombre d'iterations de l'operateur de dissipation   gradiv
+nitergdiv=1
+## nombre d'iterations de l'operateur de dissipation  nxgradrot
+nitergrot=2
+## nombre d'iterations de l'operateur de dissipation  divgrad            
+niterh=2
+## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+tetagdiv=1800.
+## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+#tetagrot=5400.
+tetagrot=7200.
+## temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+tetatemp=5400.
+## coefficient pour gamdissip                                            
+coefdis=0.
+## choix du shema d'integration temporelle (Matsuno:y ou Matsuno-leapfrog:n) 
+purmats=n
+## avec ou sans physique
+## 0: pas de physique (e.g. en mode Shallow Water)
+## 1: avec physique (e.g. physique phylmd)
+## 2: avec rappel newtonien dans la dynamique                                         
+iflag_phys=1
+## avec ou sans fichiers de demarrage (start.nc, startphy.nc) ?
+## (sans fichiers de demarrage, initialisation des champs par iniacademic
+##  dans la dynamique)
+read_start=y
+## periode de la physique (en pas dynamiques, n'a de sens que si iflag_phys=1)                                       
+iphysiq=_AUTO_ : DEFAULT = 5
+#
+#
+### Parametres du zoom
+## longitude en degres du centre du zoom                                 
+clon=0.
+## latitude en degres du centre du zoom                                  
+clat=0.
+## facteur de grossissement du zoom,selon longitude                      
+grossismx=1.0
+## facteur de grossissement du zoom ,selon latitude                      
+grossismy=1.0
+##  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+fxyhypb=y
+## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+dzoomx=0.0
+## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+dzoomy=0.0
+##raideur du zoom en  X
+taux=3.
+##raideur du zoom en  Y
+tauy=3.
+##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.         
+ysinus=y
Index: /LMDZ5/branches/testing/DefLists/vert_L79.def
===================================================================
--- /LMDZ5/branches/testing/DefLists/vert_L79.def	(revision 2471)
+++ /LMDZ5/branches/testing/DefLists/vert_L79.def	(revision 2471)
@@ -0,0 +1,40 @@
+#
+# $Id$
+#
+#### Verticale discretisation
+## Modified verticale discretisation for stratospheric versions.
+## The new version can be controled by following parameters
+## Al the parameters are given in km assuming a given scalehigh
+vert_sampling=strato_custom
+## scale hight
+vert_scale=7.
+## width of first layer
+vert_dzmin=0.017
+## dz in the low atmosphere
+vert_dzlow=1.
+## height at which resolution recches dzlow
+vert_z0low=8.7
+## dz in the mid atmsophere
+vert_dzmid=2.
+## height at which resolution recches dzmid
+vert_z0mid=70.
+## width of the transition
+vert_h_mid=20.
+## dz in the high atmsophere
+vert_dzhig=11.
+## height at which resolution recches dz
+vert_z0hig=75.
+## width of the transition
+vert_h_hig=20.
+## vert_prof_dissip used to choose the vertical profile
+## of horizontal dissipation (values are 0 and 1)
+vert_prof_dissip = 1
+dissip_zref = 50
+##  Avec ou sans strato
+ok_strato=y
+ok_hines=y
+#  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+iflag_top_bound=2
+#  Coefficient pour la couche eponge (valeur derniere couche)
+tau_top_bound=5.e-4
+#
Index: /LMDZ5/branches/testing/arch/arch-X64_ADA.fcm
===================================================================
--- /LMDZ5/branches/testing/arch/arch-X64_ADA.fcm	(revision 2470)
+++ /LMDZ5/branches/testing/arch/arch-X64_ADA.fcm	(revision 2471)
@@ -8,5 +8,5 @@
 %PROD_FFLAGS         -O2 -ip -fp-model strict -axAVX,SSE4.2
 %DEV_FFLAGS          -p -g -O0 -fpe0 -traceback
-%DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -traceback -ftrapuv -fp-stack-check -check all -debug
+%DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -traceback -ftrapuv -fp-stack-check -check bounds,format,output_conversion,pointers,uninit -debug
 #%DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -traceback -ftrapuv -fp-stack-check -debug
 %MPI_FFLAGS
Index: /LMDZ5/branches/testing/arch/arch-X64_OCCIGEN.fcm
===================================================================
--- /LMDZ5/branches/testing/arch/arch-X64_OCCIGEN.fcm	(revision 2470)
+++ /LMDZ5/branches/testing/arch/arch-X64_OCCIGEN.fcm	(revision 2471)
@@ -8,5 +8,5 @@
 %PROD_FFLAGS         -O2 -ip
 %DEV_FFLAGS          -p -g -O1 -fpe0 -traceback
-%DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -ftz -ftrapuv -fp-stack-check -check all -debug -traceback
+%DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -ftz -ftrapuv -fp-stack-check -check bounds,format,output_conversion,pointers,uninit -debug -traceback
 %MPI_FFLAGS
 %OMP_FFLAGS          -openmp -openmp-threadprivate compat
Index: /LMDZ5/branches/testing/arch/arch-gfortran_CICLAD.path
===================================================================
--- /LMDZ5/branches/testing/arch/arch-gfortran_CICLAD.path	(revision 2470)
+++ /LMDZ5/branches/testing/arch/arch-gfortran_CICLAD.path	(revision 2471)
@@ -7,4 +7,6 @@
 OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
 OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
+XIOS_INCDIR=$LMDGCM/../XIOS/inc
+XIOS_LIBDIR=$LMDGCM/../XIOS/lib
Index: /LMDZ5/branches/testing/arch/arch-ifort_CICLAD.fcm
===================================================================
--- /LMDZ5/branches/testing/arch/arch-ifort_CICLAD.fcm	(revision 2470)
+++ /LMDZ5/branches/testing/arch/arch-ifort_CICLAD.fcm	(revision 2471)
@@ -8,5 +8,5 @@
 %PROD_FFLAGS         -O2 -ip
 %DEV_FFLAGS          -p -g -O1 -fpe0 -traceback
-%DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -traceback -ftrapuv -fp-stack-check -check all -debug
+%DEBUG_FFLAGS        -p -g -O0 -fpe-all=0 -traceback -ftrapuv -fp-stack-check -check bounds,format,output_conversion,pointers,uninit -debug
 %MPI_FFLAGS          -I/usr/lib64/openmpi/1.4.5-ifort/include
 %OMP_FFLAGS          -openmp
Index: /LMDZ5/branches/testing/arch/arch-ifort_CICLAD.path
===================================================================
--- /LMDZ5/branches/testing/arch/arch-ifort_CICLAD.path	(revision 2470)
+++ /LMDZ5/branches/testing/arch/arch-ifort_CICLAD.path	(revision 2471)
@@ -7,4 +7,6 @@
 OASIS_INCDIR=$LMDGCM/../../prism/SX/build/lib/psmile.$couple
 OASIS_LIBDIR=$LMDGCM/../../prism/SX/lib
-INCA_LIBDIR=$LMDGCM/../INCA3/config/lib
-INCA_INCDIR=$LMDGCM/../INCA3/config/lib
+INCA_LIBDIR=$LMDGCM/../INCA/config/lib
+INCA_INCDIR=$LMDGCM/../INCA/config/lib
+XIOS_INCDIR=$LMDGCM/../XIOS/inc
+XIOS_LIBDIR=$LMDGCM/../XIOS/lib
Index: /LMDZ5/branches/testing/libf/dyn3d/conf_gcm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/dyn3d/conf_gcm.F90	(revision 2470)
+++ /LMDZ5/branches/testing/libf/dyn3d/conf_gcm.F90	(revision 2471)
@@ -297,4 +297,9 @@
   CALL getin('dissip_deltaz',dissip_deltaz )
   CALL getin('dissip_zref',dissip_zref )
+
+  ! ngroup
+  ngroup=3
+  CALL getin('ngroup',ngroup)
+
 
   ! top_bound sponge: only active if ok_strato=.true. and iflag_top_bound!=0
Index: /LMDZ5/branches/testing/libf/dyn3d/gcm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/dyn3d/gcm.F90	(revision 2470)
+++ /LMDZ5/branches/testing/libf/dyn3d/gcm.F90	(revision 2471)
@@ -157,6 +157,6 @@
   use_filtre_fft=.FALSE.
   CALL getin('use_filtre_fft',use_filtre_fft)
-  IF (use_filtre_fft) call abort_gcm('FFT filter is not available in the ' &
-          // 'sequential version of the dynamics.', 1)
+  IF (use_filtre_fft) call abort_gcm("gcm", 'FFT filter is not available in ' &
+          // 'the sequential version of the dynamics.', 1)
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Index: /LMDZ5/branches/testing/libf/dyn3d/groupe.F
===================================================================
--- /LMDZ5/branches/testing/libf/dyn3d/groupe.F	(revision 2470)
+++ /LMDZ5/branches/testing/libf/dyn3d/groupe.F	(revision 2471)
@@ -22,6 +22,6 @@
 #include "comvert.h"
 
-      integer ngroup
-      parameter (ngroup=3)
+!     integer ngroup
+!     parameter (ngroup=3)
 
 
Index: /LMDZ5/branches/testing/libf/dyn3d/groupeun.F
===================================================================
--- /LMDZ5/branches/testing/libf/dyn3d/groupeun.F	(revision 2470)
+++ /LMDZ5/branches/testing/libf/dyn3d/groupeun.F	(revision 2471)
@@ -13,6 +13,6 @@
       REAL q(iip1,jjmax,llmax)
 
-      INTEGER ngroup
-      PARAMETER (ngroup=3)
+!     INTEGER ngroup
+!     PARAMETER (ngroup=3)
 
       REAL airecn,qn
@@ -37,7 +37,7 @@
 
       LOGICAL, SAVE :: first = .TRUE.
-      INTEGER,SAVE :: i_index(iim,ngroup)
+!     INTEGER,SAVE :: i_index(iim,ngroup)
       INTEGER      :: offset
-      REAL         :: qsum(iim/ngroup)
+!     REAL         :: qsum(iim/ngroup)
 
       IF (first) THEN
@@ -142,6 +142,6 @@
 #include "comgeom2.h"
 
-      INTEGER ngroup
-      PARAMETER (ngroup=3)
+!     INTEGER ngroup
+!     PARAMETER (ngroup=3)
 
       REAL airen,airecn
Index: /LMDZ5/branches/testing/libf/dyn3d_common/comconst.h
===================================================================
--- /LMDZ5/branches/testing/libf/dyn3d_common/comconst.h	(revision 2470)
+++ /LMDZ5/branches/testing/libf/dyn3d_common/comconst.h	(revision 2471)
@@ -6,5 +6,5 @@
 
       COMMON/comconsti/im,jm,lllm,imp1,jmp1,lllmm1,lllmp1,lcl,          &
-     &                 iflag_top_bound,mode_top_bound
+     &                 iflag_top_bound,mode_top_bound,ngroup
       COMMON/comconstr/dtvr,daysec,                                     &
      & pi,dtphys,dtdiss,rad,r,cpp,kappa,cotot,unsim,g,omeg              &
@@ -32,4 +32,5 @@
 ! top_bound sponge:
       INTEGER iflag_top_bound ! sponge type
+      INTEGER ngroup
       INTEGER mode_top_bound  ! sponge mode
       REAL tau_top_bound ! inverse of sponge characteristic time scale (Hz)
Index: /LMDZ5/branches/testing/libf/dyn3dmem/conf_gcm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/dyn3dmem/conf_gcm.F90	(revision 2470)
+++ /LMDZ5/branches/testing/libf/dyn3dmem/conf_gcm.F90	(revision 2471)
@@ -326,4 +326,9 @@
   CALL getin('dissip_zref',dissip_zref )
 
+  ! ngroup
+  ngroup=3
+  CALL getin('ngroup',ngroup)
+
+  ! mode_top_bound : fields towards which sponge relaxation will be done:
   ! top_bound sponge: only active if ok_strato=.true. and iflag_top_bound!=0
   !                   iflag_top_bound=0 for no sponge
@@ -857,19 +862,18 @@
 
      !Config  Key  = use_filtre_fft
-     !Config  Desc = flag d'activation des FFT pour le filtre
+     !Config  Desc = flag to activate FFTs for the filter
      !Config  Def  = false
-     !Config  Help = permet d'activer l'utilisation des FFT pour effectuer
-     !Config         le filtrage aux poles.
+     !Config  Help = enables to use FFts to do the longitudinal polar 
+     !Config         filtering around the poles.
      use_filtre_fft=.FALSE.
      CALL getin('use_filtre_fft',use_filtre_fft)
-     use_filtre_fft_loc=use_filtre_fft
-
      IF (use_filtre_fft .AND. grossismx /= 1.0) THEN
         write(lunout,*)'WARNING !!! '
-        write(lunout,*)"Le zoom en longitude est incompatible", &
-             " avec l'utilisation du filtre FFT ", &
-             "---> FFT filter not active"
+        write(lunout,*)"A zoom in longitude is not compatible", &
+             " with the FFT filter ", &
+             "---> FFT filter deactivated"
         use_filtre_fft=.FALSE.
      ENDIF
+     use_filtre_fft_loc=use_filtre_fft
 
      !Config  Key  = use_mpi_alloc
Index: /LMDZ5/branches/testing/libf/dyn3dmem/groupe_loc.F
===================================================================
--- /LMDZ5/branches/testing/libf/dyn3dmem/groupe_loc.F	(revision 2470)
+++ /LMDZ5/branches/testing/libf/dyn3dmem/groupe_loc.F	(revision 2471)
@@ -22,6 +22,6 @@
 #include "comvert.h"
 
-      integer ngroup
-      parameter (ngroup=3)
+!     integer ngroup
+!     parameter (ngroup=3)
 
 
Index: /LMDZ5/branches/testing/libf/dyn3dmem/groupeun_loc.F
===================================================================
--- /LMDZ5/branches/testing/libf/dyn3dmem/groupeun_loc.F	(revision 2470)
+++ /LMDZ5/branches/testing/libf/dyn3dmem/groupeun_loc.F	(revision 2471)
@@ -12,6 +12,6 @@
       REAL q(iip1,sb:se,llmax)
 
-      INTEGER ngroup
-      PARAMETER (ngroup=3)
+!     INTEGER ngroup
+!     PARAMETER (ngroup=3)
 
       REAL airecn,qn
@@ -38,7 +38,7 @@
       LOGICAL, SAVE :: first = .TRUE.
 !$OMP THREADPRIVATE(first)
-      INTEGER,SAVE :: i_index(iim,ngroup)
+!     INTEGER,SAVE :: i_index(iim,ngroup)
       INTEGER      :: offset
-      REAL         :: qsum(iim/ngroup)
+!     REAL         :: qsum(iim/ngroup)
 
       IF (first) THEN
@@ -143,6 +143,6 @@
 #include "comgeom2.h"
 
-      INTEGER ngroup
-      PARAMETER (ngroup=3)
+!     INTEGER ngroup
+!     PARAMETER (ngroup=3)
 
       REAL airen,airecn
